Bug 61748 - redhat-config-users missing dependancies after upgrade from 7.2
Summary: redhat-config-users missing dependancies after upgrade from 7.2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-users   
(Show other bugs)
Version: skipjack-beta1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-24 04:16 UTC by Jim Hayward
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-24 04:16:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Hayward 2002-03-24 04:16:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
After upgrading from Red Hat 7.2 to Skipjack redhat-config-users doesn't run.
When running it from a console it displays this error:

# redhat-config-users
Traceback (most recent call last):
  File "/usr/share/redhat-config-users/redhat-config-users.py", line 26,
in ?    import mainWindow
  File "/usr/share/redhat-config-users/mainWindow.py", line 24, in ?
    import gtk
ImportError: No module named gtk

The packages pygtk2-1.99.8-2.i386.rpm and
pygtk2-libglade-1.99.8-2.i386.rpm were not installed during the upgrade. These
are apparently required for redhat-config-users to run. Installing both packages
cures the "doesn't run after upgrade" problem. These dependancies are missing
from the redhat-config-users.spec file in the source rpm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade from Red Hat 7.2
2. Run redhat-config-user
3.
	

Actual Results:  redhat-config-users doesn't run. See error listed above.

Additional info:

Comment 1 Brent Fox 2002-03-25 15:39:49 UTC
Ok, I've fixed the Requires sections to pull in the right packages. 
redhat-config-users-1.0-6.noarch.rpm should fix the problem.  Thanks for
catching this.


Note You need to log in before you can comment on or make changes to this bug.